CounterFactoryImpl (Mule ESB 2.2.1 API)
Keywords: org.mule.util.counters.impl.CounterFactoryImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.counters.impl
Class CounterFactoryImpl

    java.lang.Object
      org.mule.util.counters.impl.CounterFactoryImpl

    public final class CounterFactoryImpl

extends Object

Method Summary
`static Counter` | `createCounter(String name, String first, String second, CounterFactory.Type type, boolean visible)`
`static Counter` | `getCounter(String name)`
`static Iterator` | `getCounters()`
`protected static AbstractCounter` | `internalCreateCounter(String name, String first, String second, CounterFactory.Type type, boolean visible)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCounter

    public static Counter getCounter(String name)

### createCounter

    public static Counter createCounter(String name,
                                        String first,
                                        String second,
                                        CounterFactory.Type type,
                                        boolean visible)

### getCounters

    public static Iterator getCounters()

### internalCreateCounter

    protected static AbstractCounter internalCreateCounter(String name,
                                                           String first,
                                                           String second,
                                                           CounterFactory.Type type,
                                                           boolean visible)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.